package cn.com.countrygarden.bi.main.constant.mediaResource;

import java.util.Collections;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * <pre>
 *  客户相关常量
 * </pre>
 *
 * @author ferren  liao-r@neusoft.com
 * @version 1.00.00
 * <p>
 * <p>
 * <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface MediaResourceConstant {
    /**
     * 证件类型
     */
    interface PAPER_NAME_TYPE {
        String SFZ = "0001";
        String JUNGZ = "0002";
        String YYZZHM = "0013";
        String JINGGZ = "0004";
        String HZ = "0005";
        String HXZ = "0008";
        String TBZ = "0009";
        String JSZ = "0007";
        String GATSFZ = "0011";
        String QT = "0012";

        /**
         * 描述
         */
        Map<String, String> DES = Collections.unmodifiableMap(
                new HashMap<String, String>() {
                    {
                        put(SFZ,   "身份证");
                        put(JUNGZ, "军官证");
                        put(YYZZHM,"营业执照号码");
                        put(JINGGZ,"警官证");
                        put(HZ,    "护照");
                        put(HXZ,   "回乡证");
                        put(TBZ,   "台胞证");
                        put(JSZ,   "驾驶证");
                        put(GATSFZ,"港澳台身份证");
                        put(QT,    "其他");
                    }
                }
        );
    }

    /**
     * 订单状态
     */
    interface ORDER_STATUS_TYPE {
    	Integer RESERVE = 0; 
    	Integer LOCKING = 1;
        Integer RUN = 2;
        Integer FINAL = 3;
        Integer DONE = 4;
        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new LinkedHashMap<Integer, String>() {
                    {
                        put(RESERVE, "预定");
                        put(LOCKING, "锁定");
                        put(RUN, "执行中");
                        put(FINAL, "终止");
                        put(DONE, "已完成");
                    }
                }
        );
    }

    /**
     * 媒体类型
     */
    interface MEDIA_TYPE {
        int QT = 0;
		int DT = 1;
		int DZ = 2;
		int DQ = 3;
		int DP = 4;
		int DX = 5;
		int DTW = 6;
		int BTL = 7;

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                        put(QT, "其他广告");
                        put(DT, "电梯内广告");
                        put(DZ, "道闸广告");
                        put(DQ, "道旗广告");
                        put(DP, "大牌广告");
                        put(DX, "灯箱广告");
                        put(DTW, "电梯外广告");
                        put(BTL, "步梯楼广告");
                    }
                }
        );
    }

    /**
     * 客户类型
     */
    interface CUSTOMER_TYPE {
        Integer JT    = 0;
        Integer DL    = 1;
        Integer ZK    = 2;

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                        put(JT   , "集团内部");
                        put(DL   , "代理公司");
                        put(ZK   , "直客");
                    }
                }
        );
    }

    /**
     * 资源排期状态
     */
    interface CYCLE_STATUS {
        Integer NO_USE = 0;
        Integer RESERVE = 1;
        Integer LOCK = 2;
        Integer USE_OUT = 3;
        Integer USE_IN = 4;

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                        put(NO_USE, "未使用");
                        put(RESERVE, "预定");
                        put(LOCK, "锁定");
                        put(USE_OUT, "已使用-外部客户");
                        put(USE_IN, "已使用-内部自用");
                    }
                }
        );
    }
    /**
     * 媒体形式
     */
    interface MEDIA_FORM {
        Integer KJHB = 0;
        Integer DZP = 1;
        Integer TNTY = 2;
        Integer TWMT = 3;
        Integer SMHB = 4;
        Integer LCDDS = 5;
        Integer FYDZ = 6;
        Integer HGDZ = 7;
        Integer DBDQ = 8;
        Integer SBDQ = 9;
        Integer DMDP = 10;
        Integer QTDP = 11;
        Integer LDDP = 12;
        Integer SMF = 13;
        Integer HW_GDDX = 14;
        Integer HW_GD_DX = 15;
        Integer SNGDDX = 16;
        Integer GJHB = 17;
        Integer YLB = 18;
        //Integer HFGG = 19;
        Integer TNMT = 20;
        Integer TWTY = 21;
        Integer GDDX = 22;
        Integer GGLHB = 23;
        Integer HWLED = 24;
        Integer MJDX = 25;
        Integer HF = 26;
        Integer XZJ = 27;
        Integer KDGGG = 28;
        Integer DQB = 29;
        Integer MQ = 30;	
        Integer LTJ = 31;	
        Integer MGT = 32;	
        Integer YSJ = 33;	

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                        put(KJHB, 		"框架海报");
                        put(DZP, 		"电子屏");
                        put(TNTY,	 	"梯内投影");
                        put(TWMT, 		"梯外门贴");
                        put(SMHB, 		"数码海报");
                        put(LCDDS,		 "LCD电视");
                        put(FYDZ, 		"翻页道闸");
                        put(HGDZ,		 "横杆道闸");
                        put(DBDQ, 		"单边道旗");
                        put(SBDQ, 		"双边道旗");
                        put(DMDP, 		"地面大牌");
                        put(QTDP, 		"墙体大牌");
                        put(LDDP, 		"楼顶大牌");
                        put(SMF, 		"三面翻");
                        put(HW_GDDX, 	"户外滚动灯箱");
                        put(HW_GD_DX, 	"户外固定灯箱");
                        put(SNGDDX, 	"室内固定灯箱");
                        put(GJHB, 		"公交亭海报");
                        put(YLB, 		"易拉宝");
                        //put(HFGG,	 	"横幅广告");
                        put(TNMT,		"梯内门贴");
                        put(TWTY,		"梯外投影");
                        put(GDDX,		"户外滚动灯箱");
                        put(GGLHB,		"公告栏海报");
                        put(HWLED,		"户外LED");
                        put(MJDX,		"门禁灯箱");
                        put(HF,			"横幅");
                        put(XZJ,		"X展架");
                        put(KDGGG,		"快递柜广告");
                        put(DQB,		"地贴/墙贴/玻璃贴");
                        put(MQ,			"地贴/墙贴/玻璃贴");
                        put(LTJ,		"立式广告机");
                        put(MGT,		"门岗亭海报");
                        put(YSJ,		"饮水机体广告");
                    }
                }
        );
    }
    
    /**
     * 媒体状态
     */
    interface MEDIA_STATUS {
        Integer QT = 0;
        Integer TY = 1;

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                        put(QT, "启用");
                        put(TY, "停用");
                    }
                }
        );
    }
    
    /**
     * 行业类别
     */
    interface INDUSTRY_TYPE {
        Integer JC = 0;
        Integer JJ = 1;
        Integer ZX = 2;
        Integer DQ = 3;
        Integer _3C = 4;
        Integer DS = 5;
        Integer SC = 6;
        Integer CY = 7;
        Integer SP = 8;
        Integer YL = 9;
        Integer JY = 10;
        Integer JR = 11;
        Integer JT = 12;
        Integer LY = 13;
        Integer WT = 14;
        Integer QT = 15;

        /**
         * 描述
         */
        Map<Integer, String> DES = Collections.unmodifiableMap(
                new HashMap<Integer, String>() {
                    {
                    	put(JC, "建材");
                        put(JJ, "家居");
                        put(ZX, "装修");
                        put(DQ, "电器");
                        put(_3C, "3C");
                        put(DS, "电商");
                        put(SC, "商超");
                        put(CY, "餐饮");
                        put(SP, "食品");
                        put(YL, "饮料");
                        put(JY, "教育");
                        put(JR, "金融");
                        put(JT, "交通");
                        put(LY, "旅游");
                        put(WT, "文体");
                        put(QT, "其他");
                    }
                }
        );
    }
    
    public String roleCode = "mediaResource_admin";

}
